import isNullOrEmpty from '../../../isNullOrEmpty';


export default (block, { children, disabled, icon, ui }) => {
    const iconOnly = !isNullOrEmpty(icon) && children === null;
    const iconDirection = icon === null ? ''
        : typeof icon !== 'string' ? `icon-${icon.direction}` : 'icon-left';

    return block({ disabled, iconDirection, 'icon-only': iconOnly }, typeof ui === 'string' ? [ui] : ui);
};
