import React, { PropTypes } from 'react';

export default (Component) => {

    return React.createClass({

        propTypes: {
            ui: PropTypes.oneOf([
                'gray', 'default',
                'teal', 'primary'
            ])
        },

        getDefaultProps() {
            return {
                ui: 'default'
            };
        },

        render() {
            return (
                <Component
                    { ...this.props }
                    ui={ this.props.ui } />
            );
        }

    });

};
