import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationFormControlSection.less';


const block = purebem.of('foundation-new-form-control-section');

const FoundationFormControlSection = React.createClass({

    propTypes: {
        children: PropTypes.node.isRequired,
        // ---
        row: PropTypes.bool
    },

    getDefaultProps() {
        return {
            row: false
        };
    },

    render() {
        const { children, row } = this.props;
        return (
            <div className={ block({ column: !row, row }) }>
                { children }
            </div>
        );
    }

});

export default FoundationFormControlSection;
